Name:          libftgl
Version:       2.4.0
Release:       2mamba
Summary:       OpenGL frontend to Freetype 2
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://ftgl.wiki.sourceforge.net/
Source:        https://github.com/frankheckenbach/ftgl.git/v%{version}/ftgl-%{version}.tar.bz2
#Source:        http://downloads.sourceforge.net/ftgl/ftgl-%{realversion}.tar.gz
License:       LGPL, BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libGL-devel
BuildRequires: libGLU-devel
BuildRequires: libbzip2-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libgraphite2-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libpcre-devel
BuildRequires: libpng-devel
BuildRequires: libstdc++6-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
FTGL is a free open source library to enable developers to use arbitrary fonts in their OpenGL (www.opengl.org)  applications.
Unlike other OpenGL font libraries FTGL uses standard font file formats so doesn't need a preprocessing step to convert the high quality font data into a lesser quality, proprietary format.
FTGL uses the Freetype (www.freetype.org) font library to open and 'decode' the fonts. It then takes that output and stores it in a format most efficient for OpenGL rendering.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
FTGL is a free open source library to enable developers to use arbitrary fonts in their OpenGL (www.opengl.org)  applications.
Unlike other OpenGL font libraries FTGL uses standard font file formats so doesn't need a preprocessing step to convert the high quality font data into a lesser quality, proprietary format.
FTGL uses the Freetype (www.freetype.org) font library to open and 'decode' the fonts. It then takes that output and stores it in a format most efficient for OpenGL rendering.
This package contains libraries and header files needed for development.

%package static
Group:         Development/Libraries
Summary:       Static libraries for %{name}
Requires:      %{name}-devel = %{?epoch:%epoch:}%{version}-%{release}

%description static
FTGL is a free open source library to enable developers to use arbitrary fonts in their OpenGL (www.opengl.org)  applications.
Unlike other OpenGL font libraries FTGL uses standard font file formats so doesn't need a preprocessing step to convert the high quality font data into a lesser quality, proprietary format.
FTGL uses the Freetype (www.freetype.org) font library to open and 'decode' the fonts. It then takes that output and stores it in a format most efficient for OpenGL rendering.
Static %{name} library.

%debug_package

%prep
%setup -q -n ftgl-%{version}
#sed -i "s|AM_CONFIG_HEADER|AC_CONFIG_HEADERS|" configure.ac

%build
./autogen.sh

%configure \
   --disable-freetypetest \
   --enable-shared

%make ECHO=echo

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall ECHO=echo

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libftgl.so.*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/FTGL
%{_includedir}/FTGL/*.h
%{_libdir}/libftgl.so
%dir %{_docdir}/ftgl
%doc %{_docdir}/ftgl/projects_using_ftgl.txt
%dir %{_docdir}/ftgl/html
%doc %{_docdir}/ftgl/html/*.html
%doc %{_docdir}/ftgl/html/*.png
%doc %{_docdir}/ftgl/html/doxygen.css
%ifnarch aarch64
%doc %{_docdir}/ftgl/ftgl.pdf
%endif
%{_libdir}/pkgconfig/*.pc
%doc BUGS ChangeLog NEWS README TODO

%files static
%defattr(-,root,root)
%{_libdir}/libftgl.a
%{_libdir}/libftgl.la

%changelog
* Mon Dec 14 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.0-2mamba
- rebuilt with debug package

* Fri Mar 29 2019 Automatic Build System <autodist@mambasoft.it> 2.4.0-1mamba
- automatic version update by autodist

* Fri Apr 06 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.3.rc5-2mamba
- fix build and make some specfile fixes

* Tue Sep 02 2008 gil <puntogil@libero.it> 2.1.3-rc5-1mamba
- package created by autospec
